Summary:	Interact with the EFI Boot Manager
Name:		efibootmgr
Version:	0.12
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://github.com/vathpela/efibootmgr
# https://github.com/vathpela/efibootmgr.git
Source0:	https://github.com/rhinstaller/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		git.patch
Patch1:		gcc7-fixes.patch

BuildRequires:	pkgconfig(efivar) >= 31
BuildRequires:	pkgconfig(libpci)
BuildRequires:	popt
BuildRequires:	pkgconfig(zlib)
ExclusiveArch:	%{ix86} x86_64 ia64

# Needed to be sure that efivar will be updated before grub2/kernel
Requires:	%{_lib}efivar0 >= 31

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager.  This application
can create and destroy boot entries, change the boot order, change
the next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from http://developer.intel.com.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  'modprobe efivars' should do the trick.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%make EXTRA_CFLAGS='%{optflags}'

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/*.8.bz2


%changelog
* Thu Apr 26 2018 adrianomorselli <adrianomorselli> 0.12-2uplos2018
- fix build with gcc7
